Intereting Posts
Получить язык пользователя в android Android: обновление ListFragment с помощью notifyDataSetChanged () с пользовательским адаптером не работает Лучшая практика для расчета средней скорости от координат GPS Как добавить TextView и EditText, используя программный AlertDialog по умолчанию Отжимать содержимое, кроме некоторого вида, когда отображается клавиатура Как удалить активность из списка последних приложений? Eclipse Juno не будет создавать Android-активность Google PlacePicker закрывается сразу после запуска Изменение цвета фона кнопки панели задач при нажатии Что является наиболее подходящим способом для чтения всех данных из текстового файла за один раз? Android usb host: передача асинхронных прерываний Как я могу имитировать команду «хвост» для файла в файловой системе Android? Android – собственные сокеты, не удаляющие 3G-режим сна при первой попытке Как использовать Accelerometer для измерения расстояния для разработки приложений Android Событие Android touch touch

Невозможно изменить целевой API в AVD Manager

Когда я создаю новое виртуальное устройство в AVD Manager, в раскрывающемся меню «target» у меня есть только два доступных варианта: уровни API 8 и 17 (2.2 и 4.2.2), хотя я установил все интерфейсы API между ними, со всеми их подкомпонентами , Более того, если я выбираю 4.2.2, кнопка «ОК» отключена.

Как добавить целевые API в AVD Manager? Не связаны ли они напрямую с SDK, которые я установил?

Solutions Collecting From Web of "Невозможно изменить целевой API в AVD Manager"

Они не привязаны к версиям SDK, которые вы установили; Доступные версии AVD привязаны к изображениям системы, которые вы установили с помощью менеджера SDK.

Например, вы можете увидеть ARM EABI v7a System Image, Intel X86 Atom Image Image и MIPS System Image под Android 4.2 (API17) в менеджере SDK.

Просто столкнулся с тем же. Попробуйте перезапустить Eclipse.

Возможно, вам нужно проверить свой путь к местоположению SDK, это может указывать на другое местоположение SDK, где установлен только Android 4.2.2-API уровня 17 и Android 2.2-API уровня 8.

Вы можете сделать это, перейдя в Window -> Preferences (в вашем eclipse), в Preferences goto Android, в Android вы увидите местоположение SDK. Просмотрите и измените местоположение SDK на место SDK, где установлены ваши инструменты Android SDK. Например: C: \ Program Files (x86) \ Android \ android-sdk

Просто зайдите в Android SDK Manager 1) убедитесь, что пути к местоположению и установлены ваши SDK

2) Проверьте Android 4.2.2 (API 17) checkbox

3) Нажмите кнопку «Установить»